BizKitHub
DocsAPI ReferenceContact/bff/contact/generate-api-key
postContactAdmin BFF

/bff/contact/generate-api-key

Generates a new API key for a contact, bound to a specific workspace.

ContactpostBffContactGenerate-api-key

Parameters

JSON body

Request body

application/json
idstringRequired

Contact external ID.

namestringRequired

Display name for the API key.

workspacestringRequired

Workspace code to associate with the key.

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true
apiKeystringRequired

Response example

application/json
{
  "success": true,
  "apiKey": "example_apiKey"
}

Request example

POST /bff/contact/generate-api-key

post
curl -X POST "https://api.bizkithub.com/bff/contact/generate-api-key" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "example_id",
  "name": "example_name",
  "workspace": "example_workspace"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key